CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Defines | Typedefs
TestPlugIn.h File Reference
`#include <cppunit/Portability.h>`
`#include <cppunit/plugin/PlugInParameters.h>`
`#include <cppunit/plugin/TestPlugInDefaultImpl.h>`
Include dependency graph for TestPlugIn.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | CppUnitTestPlugIn
| Test plug-in interface.This class define the interface implemented by test plug-in. A pointer to that interface is returned by the function exported by the test plug-in. More...
## Defines
#define | CPPUNIT_PLUGIN_EXPORTED_NAME cppunitTestPlugIn
| Name of the function exported by a test plug-in.The signature of the exported function is:
#define | CPPUNIT_PLUGIN_EXPORTED_FUNCTION_IMPL(TestPlugInInterfaceType)
| Implements the function exported by the test plug-in.
#define | CPPUNIT_PLUGIN_IMPLEMENT()
| Implements and exports the test plug-in interface.This macro exports the test plug-in function using the subclass, and implements the 'main' function for the plug-in using CPPUNIT_PLUGIN_IMPLEMENT_MAIN().
## Typedefs
typedef CppUnitTestPlugIn *(* | TestPlugInSignature )()
| Type of the function exported by a plug-in.

## Detailed Description

| hosts this site. |  | Send comments to: CppUnit Developers